Bug 1169834 - dehydrated-lighttpd-0.6.5-lp152.1.2 comes with wrong config file
dehydrated-lighttpd-0.6.5-lp152.1.2 comes with wrong config file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Network
Leap 15.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Daniel Molkentin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-19 11:10 UTC by Petr Kristof
Modified: 2021-03-29 15:25 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Fix module name and alias.url definition (339 bytes, patch)
2020-04-19 11:10 UTC, Petr Kristof
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Kristof 2020-04-19 11:10:15 UTC
Created attachment 836075 [details]
Fix module name and alias.url definition

Hello all.

There is working lighttpd-1.4.55-lp152.1.2 web server. After installing package
dehydrated-lighttpd-0.6.5-lp152.1.2 and including config file acme-challenge, server web server fails to start.

There are mistakes:

1) Name of alias module is wrong, correct name is "mod_alias"
2) Final backslash in url rewrite is missing, causes target file is not find
3) Name of file acme-challenge should be acme-challenge.config as other confi files has .config suffix

Thank you


--- acme-challenge      2020-04-19 11:28:00.825822962 +0200
+++ acme-challenge.conf 2020-04-19 11:28:41.226405565 +0200
@@ -1,4 +1,4 @@
-server.modules += ("alias")
+server.modules += ("mod_alias")
 alias.url += (
- "/.well-known/acme-challenge/" => "/var/lib/acme-challenge",
+ "/.well-known/acme-challenge/" => "/var/lib/acme-challenge/",
 )
Comment 1 Petr Kristof 2020-04-19 11:16:17 UTC
Sorry. Suffix should be .conf
Comment 2 Swamp Workflow Management 2020-04-21 09:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1169834) was mentioned in
https://build.opensuse.org/request/show/796008 Factory / dehydrated
Comment 3 Daniel Molkentin 2020-04-21 11:54:49 UTC
Fixed and submitted to Leap and 15-SP2.
Comment 4 Daniel Molkentin 2020-04-21 11:55:14 UTC
Closing.
Comment 8 Swamp Workflow Management 2020-05-27 22:17:43 UTC
SUSE-RU-2020:1495-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1169834
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    dehydrated-0.6.5-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-05-31 10:13:42 UTC
openSUSE-RU-2020:0748-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1169834
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    dehydrated-0.6.5-lp151.3.6.1
Comment 10 OBSbugzilla Bot 2020-11-10 14:20:30 UTC
This is an autogenerated message for OBS integration:
This bug (1169834) was mentioned in
https://build.opensuse.org/request/show/847498 Backports:SLE-12 / dehydrated
Comment 11 Swamp Workflow Management 2020-11-14 17:15:18 UTC
openSUSE-RU-2020:1917-1: An update that has 5 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1091216,1110697,1139408,1154167,1169834
CVE References: 
JIRA References: SLE-11727
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    dehydrated-0.6.5-5.1